package com.xintong.visualinspection.service;

import com.xintong.visualinspection.bean.FwqDeptStatistic;
import com.xintong.visualinspection.bean.FwqStatisticsBean;
import com.xintong.visualinspection.bean.FwqStatisticsBo;
import com.xintong.visualinspection.pojo.fwq.FwqRankingData;
import com.xintong.visualinspection.pojo.fwq.FwqStatisiticPojo;
import com.xintong.visualinspection.pojo.fwq.ServiceAreaStatistic;

import java.util.List;
import java.util.Map;

public interface StatisticsService_F {

    // 运营管理综合检查情况统计表
    List<FwqStatisticsBean> getOperationInfo(FwqStatisticsBean obj);

    // 营运管理提升综合成绩汇总表
    Map<String, List<FwqDeptStatistic>> getDeptStatistic(FwqDeptStatistic obj);

    // 考核问题分布报表数据
    List<FwqStatisticsBean> getFeeStationCheckItemScore(FwqStatisticsBean obj);

    FwqRankingData getEmployeeRankingData(FwqStatisticsBean obj);

    // 个人扣分情况 / 个人稽查情况
    Object getOneCheckedDetailInfo(Integer page, Integer size, FwqStatisticsBean obj);

    // 服务区的一年得分情况
    List<FwqStatisticsBean> getOneSACheckedInfo(FwqStatisticsBean obj);

    // 服务区各项扣分情况
    List<FwqStatisticsBean> getOneCheckedItemInfo(FwqStatisticsBean obj);

    List<FwqStatisticsBo> getEmployeeCheckedInfo(FwqStatisticsBean obj);

    // 公司12个月考核得分总体变化趋势
    List<FwqStatisticsBean> getYearScoreChange(FwqStatisticsBean obj);

    List<FwqStatisticsBean> getFeeStationCheckedScore(FwqStatisticsBean obj);

    // 道管中心得分排名
    List<FwqStatisticsBean> getCenterManageScoreInfo(FwqStatisticsBean obj);

    // 公司全体服务区排名
    List<FwqStatisticsBean> getFeeStationScoreInfo(FwqStatisticsBean obj);

    // 温馨服务检查问题类别占比
    List<FwqStatisticsBean> getCheckedItemScoreInfo(FwqStatisticsBean obj);

    // 各个问题类别的扣分情况
    Map<String,List<FwqStatisticsBean>> get2CheckedItemScoreInfo(FwqStatisticsBean obj);

    //获取连续月达标的服务区
    List<FwqStatisiticPojo> getFwqStatistic(ServiceAreaStatistic obj);

}
